diff options
author | Aaron Griffin <aaronmgriffin@gmail.com> | 2009-04-14 21:28:08 +0200 |
---|---|---|
committer | Aaron Griffin <aaronmgriffin@gmail.com> | 2009-05-06 21:36:08 +0200 |
commit | 2269e5c9c89032c6752d9bb78d25738919854e43 (patch) | |
tree | 73945bd239cc8a386c31fa3b62590248b8ac6653 | |
parent | fef3f4af90c5d49844116c31ebb664920d1e1656 (diff) | |
download | devtools-2269e5c9c89032c6752d9bb78d25738919854e43.tar.gz devtools-2269e5c9c89032c6752d9bb78d25738919854e43.tar.xz |
Replace unionfs with aufs
Signed-off-by: Aaron Griffin <aaronmgriffin@gmail.com>
-rwxr-xr-x | makechrootpkg | 10 |
1 files changed, 5 insertions, 5 deletions
diff --git a/makechrootpkg b/makechrootpkg index 536c4e2..78601d4 100755 --- a/makechrootpkg +++ b/makechrootpkg @@ -50,7 +50,7 @@ usage () echo "-d Add the package to a local db at /repo after building" echo "-r <dir> The chroot shell to use" echo "-I <pkg> Install a package into the rw layer of the chroot" - echo "-l <layer> The directory to use as the rw layer of the unionfs" + echo "-l <layer> The directory to use as the rw layer of the union" echo " Useful for maintain multiple layers. Default: rw" exit 1 } @@ -118,14 +118,14 @@ cleanup () uniondir="$chrootdir/union" echo "building union chroot" -grep -Fq unionfs /proc/filesystems +grep -Fq aufs /proc/filesystems if [ $? -ne 0 ]; then - modprobe -q unionfs + modprobe -q aufs if [ $? -ne 0 ]; then - echo "ERROR: No unionfs available. Abandon ship!" && exit 1 + echo "ERROR: No aufs available. Abandon ship!" && exit 1 fi fi -mount -t unionfs none -o "dirs=$chrootdir/$LAYER=rw:$chrootdir/root=ro" "$uniondir" +mount -t aufs none -o "dirs=$chrootdir/$LAYER=rw:$chrootdir/root=ro" "$uniondir" trap 'cleanup' 0 1 2 15 if [ -n "$install_pkg" ]; then |